
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef rmp440_ERROR_H
#define rmp440_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_rmp440    (9010)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_rmp440_TRACKING_ON          H2_ENCODE_ERR(M_rmp440    , 1)
#define S_rmp440_BAD_CMD_PARAMETERS   H2_ENCODE_ERR(M_rmp440    , 2)
#define S_rmp440_CANNOT_WRITE_FILE    H2_ENCODE_ERR(M_rmp440    , 3)
#define S_rmp440_CANNOT_OPEN_FILE     H2_ENCODE_ERR(M_rmp440    , 4)
#define S_rmp440_CANNOT_READ_POSTER   H2_ENCODE_ERR(M_rmp440    , 5)
#define S_rmp440_GYRO_ERROR           H2_ENCODE_ERR(M_rmp440    , 6)
#define S_rmp440_CMD_STOP_TRACK       H2_ENCODE_ERR(M_rmp440    , 7)
#define S_rmp440_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_rmp440    , 8)
#define S_rmp440_POWER_CORD_CONNECTED H2_ENCODE_ERR(M_rmp440    , 9)
#define S_rmp440_JOYSTICK_ERROR       H2_ENCODE_ERR(M_rmp440    , 10)
#define S_rmp440_RMP_LIB_ERROR        H2_ENCODE_ERR(M_rmp440    , 11)
#define S_rmp440_BAD_REF              H2_ENCODE_ERR(M_rmp440    , 12)
#define S_rmp440_EMERGENCY_ERROR      H2_ENCODE_ERR(M_rmp440    , 13)
#define S_rmp440_MOTORS_OFF           H2_ENCODE_ERR(M_rmp440    , 14)
#define S_rmp440_READ_TASK_ERROR      H2_ENCODE_ERR(M_rmp440    , 15)
#define S_rmp440_RMPLIB_ERROR         H2_ENCODE_ERR(M_rmp440    , 16)
#define S_rmp440_EMERGENCY_STOP       H2_ENCODE_ERR(M_rmp440    , 17)


/* std errors */
#define S_rmp440_stdGenoM_ACTIVITY_INTERRUPTED       590537729   /* 9010<<16 | 0x8000 | 100<<8 | 1 */
#define S_rmp440_stdGenoM_TOO_MANY_ACTIVITIES        590537730   /* 9010<<16 | 0x8000 | 100<<8 | 2 */
#define S_rmp440_stdGenoM_ACTIVITY_FAILED            590537731   /* 9010<<16 | 0x8000 | 100<<8 | 3 */
#define S_rmp440_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 590537732   /* 9010<<16 | 0x8000 | 100<<8 | 4 */
#define S_rmp440_stdGenoM_UNKNOWN_ACTIVITY           590537733   /* 9010<<16 | 0x8000 | 100<<8 | 5 */
#define S_rmp440_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 590537734   /* 9010<<16 | 0x8000 | 100<<8 | 6 */
#define S_rmp440_stdGenoM_SYSTEM_ERROR               590537735   /* 9010<<16 | 0x8000 | 100<<8 | 7 */
#define S_rmp440_stdGenoM_ACTIVITY_ALREADY_ENDED     590537736   /* 9010<<16 | 0x8000 | 100<<8 | 8 */
#define S_rmp440_stdGenoM_WAIT_INIT_RQST             590537737   /* 9010<<16 | 0x8000 | 100<<8 | 9 */
#define S_rmp440_stdGenoM_CONTROL_CODEL_ERROR        590537738   /* 9010<<16 | 0x8000 | 100<<8 | 10 */
#define S_rmp440_stdGenoM_EXEC_TASK_SUSPENDED        590537739   /* 9010<<16 | 0x8000 | 100<<8 | 11 */
#define S_rmp440_stdGenoM_BAD_BLOCK_TYPE             590537740   /* 9010<<16 | 0x8000 | 100<<8 | 12 */
#define S_rmp440_stdGenoM_BAD_POSTER_TYPE            590537741   /* 9010<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define RMP440_H2_ERR_MSGS {\
    {"TRACKING_ON", 1}, \
    {"BAD_CMD_PARAMETERS", 2}, \
    {"CANNOT_WRITE_FILE", 3},\
    {"CANNOT_OPEN_FILE", 4},\
    {"CANNOT_READ_POSTER", 5},\
    {"GYRO_ERROR", 6},\
    {"CMD_STOP_TRACK", 7},\
    {"POSTER_NOT_FOUND", 8},\
    {"POWER_CORD_CONNECTED", 9},\
    {"JOYSTICK_ERROR", 10},\
    {"RMP_LIB_ERROR", 11},\
    {"BAD_REF", 12},\
    {"EMERGENCY_ERROR", 13},\
    {"MOTORS_OFF", 14},\
    {"READ_TASK_ERROR", 15},\
    {"RMPLIB_ERROR", 16},\
    {"EMERGENCY_STOP", 17},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int rmp440RecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
