
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * rmp440Type.h:     La SDI_F de rmp440
 *
 * Utilise par le module et par les clients
 * (inclut dans rmp440MsgLib.h et rmp440PosterLib.h)
 * 
 */

#ifndef rmp440_TYPE_H
#define rmp440_TYPE_H

#include "genom/modules.h"
#include "rmp440Error.h"

/* Nombre de tache d'execution de ce module */
#define RMP440_NB_EXEC_TASK                   (2)


#endif
#ifndef rmp440_TYPE1_H
#define rmp440_TYPE1_H

#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/genPos/genPosStruct.h"
#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "/opt/openrobots/include/gyroLib/gyroTypes.h"
#include "rmp440Struct.h"

/*
 * Structure de donnees interne
 */
typedef struct RMP440_STR {
	GEN_STRING32 device;
	RMP440_STATUS_STR status;
	RMP_STATUS_STR statusgen;
	GENPOS_CART_STATE robot;
	GENPOS_CART_CONFIG_VAR var;
	GENPOS_CART_REF ref;
	GENPOS_CART_CMD_PARAM cmd;
	RMP440_KINEMATICS_STR kinematics;
	RMP440_DYNAMIC_STR dynamics;
	RMP440_VAR_PARAMS varParams;
	GENPOS_POSTER_NAME mePosterName;
	POM_ME_POS mePos;
	RMP440_TRACK_PARAMS trackParams;
	GENPOS_TRACK trackStr;
	RMP440_GYRO gyro;
	RMP440_GYRO_MODE gyroMode;
	RMP440_CART_3DCONFIG setPosStr;
	RMP440_ODOMETRY_MODE odometryMode;
	RMP440_ODOMETRY_METHOD odometryCommand;
	RMP440_CART_3DSTATE robot3d;
	POM_EULER attitude;
	GEN_STRING128 fileName;
	double vCommand;
	double wCommand;
	double vReference;
	double wReference;
	RMP440_GYRO_ASSERV gyroAsserv;
	RMP440_MAX_ACCEL maxAccel;
} RMP440_STR;


#endif

